package jp.gihyo.rest.clock;



import org.restlet.Application;
import org.restlet.Context;
import org.restlet.Restlet;
import org.restlet.Router;

public class ClockApplication extends Application {
    public ClockApplication(Context parentContext) {
        super(parentContext);
        setStatusService(new CustomStatusService(true));
    }

    @Override
    public Restlet createRoot() {
        Router router = new Router(getContext());
        WorldTimeResource.attachTo(router);
        TimeZoneListResource.attachTo(router);
        return router;
    }
}