package jp.gihyo.rest.clock;

import java.util.HashMap;
import java.util.Map;

import jp.gihyo.rest.clock.util.FtlHelper;

import org.restlet.data.Request;
import org.restlet.data.Response;
import org.restlet.data.Status;
import org.restlet.resource.Representation;
import org.restlet.service.StatusService;


public class CustomStatusService extends StatusService {
    CustomStatusService(boolean enabled) {
        super(enabled);
    }

    @Override
    public Representation getRepresentation(Status status, Request request, Response response) {
        Map<String, Object> binding = new HashMap<String, Object>();
        binding.put("status", status);
        binding.put("request", request);
        binding.put("response", response);
        return FtlHelper.asXhtml("errorStatus.ftl", binding);
    }
}