package jp.gihyo.rest.clock.util;

import java.util.Date;

public class ClockWrapper {
    private static Date fakeDate;

    public static void setFakeDate(Date date) {
        fakeDate = date;
    }

    public static void clear() {
        fakeDate = null;
    }

    public static Date now() {
        if (fakeDate != null) {
            return fakeDate;
        }
        return new Date();
    }

}
