package jp.gihyo.rest.clock.util;

import java.util.Map;

import org.restlet.data.CharacterSet;
import org.restlet.data.MediaType;
import org.restlet.ext.freemarker.TemplateRepresentation;
import org.restlet.resource.Representation;
import freemarker.template.Configuration;

public class FtlHelper {
    static Configuration config;
    static {
        config = new Configuration();
        config.setDefaultEncoding("UTF-8");
        config.setClassForTemplateLoading(FtlHelper.class, "/");
    }

    public static Representation asXhtml(String templateName, Map<String, Object> binding) {
        TemplateRepresentation rep =
            new TemplateRepresentation(templateName, config, binding, MediaType.APPLICATION_XHTML_XML);
        rep.setCharacterSet(CharacterSet.UTF_8);
        return rep;
    }
}
